version: "3.2"
services:
  servidor:
    build: $PWD/docker/server
    container_name: servidor
    ports:
      - "8080:80"
      - "25:25"
      - "587:587"
    volumes:
      - $PWD/web/:/var/www/html
    depends_on:
      - database
    environment:
      - TZ=America/Lima
    command: bash -c "chmod 777 -R /var/www/html && chown www-data:www-data -R /var/www/html && /usr/sbin/apache2ctl -D FOREGROUND"
    networks:
      net:
        ipv4_address: 172.101.0.11

  database:
    image: postgres:9.5
    container_name: postgres
    restart: always
    ports:
      - "5432:5432"
    environment:
      - POSTGRES_PASSWORD=silviopd
      - POSTGRES_DB=bd_cajero
      - TZ=America/Lima
    volumes:
      # - $PWD/bd/data:/var/lib/postgresql/data
      - $PWD/final.sql:/docker-entrypoint-initdb.d/dump.sql
    networks:
      net:
        ipv4_address: 172.101.0.12

networks:
  net:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 172.101.0.0/24
